Click or drag to resize

SweepTwoRail Class

Utility class for generating Breps by sweeping cross section curves over two rail curves. Note, this class has been superseded by the Rhino.Geometry.Brep.CreateFromSweep static functions.
Inheritance Hierarchy
SystemObject
  Rhino.GeometrySweepTwoRail

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public class SweepTwoRail

The SweepTwoRail type exposes the following members.

Constructors
  NameDescription
Public methodSweepTwoRail
Initializes a new instance of the SweepTwoRail class
Top
Properties
  NameDescription
Public propertyAngleToleranceRadians
Gets or sets the angle tolerance in radians.
Public propertyClosedSweep
If the input rails are closed, ClosedSweep determines if the swept Breps will also be closed.
Public propertyMaintainHeight
Removes the association between the height scaling from the width scaling.
Public propertySweepTolerance
Gets or sets the sweeping tolerance.
Top
Methods
  NameDescription
Public methodEquals
Determines whether the specified object is equal to the current object.
(Inherited from Object.)
Protected methodFinalize
Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection.
(Inherited from Object.)
Public methodGetHashCode
Serves as the default hash function.
(Inherited from Object.)
Public methodGetType
Gets the Type of the current instance.
(Inherited from Object.)
Protected methodMemberwiseClone
Creates a shallow copy of the current Object.
(Inherited from Object.)
Public methodPerformSweep(Curve, Curve, Curve)
Sweep2 function that fits a surface through profile curves that define the surface cross-sections and two curves that defines a surface edge.
Public methodPerformSweep(Curve, Curve, IEnumerableCurve)
Sweep2 function that fits a surface through profile curves that define the surface cross-sections and two curves that defines a surface edge.
Public methodPerformSweep(Curve, Curve, Curve, Double, Double) Obsolete.
Public methodPerformSweep(Curve, Curve, IEnumerableCurve, IEnumerableDouble, IEnumerableDouble) Obsolete.
Public methodPerformSweepRebuild(Curve, Curve, Curve, Int32)
Sweep2 function that fits a surface through profile curves that define the surface cross-sections and two curves that defines a surface edge.
Public methodPerformSweepRebuild(Curve, Curve, IEnumerableCurve, Int32)
Sweep2 function that fits a surface through profile curves that define the surface cross-sections and two curves that defines a surface edge.
Public methodPerformSweepRebuild(Curve, Curve, Curve, Double, Double, Int32) Obsolete.
Public methodPerformSweepRebuild(Curve, Curve, IEnumerableCurve, IEnumerableDouble, IEnumerableDouble, Int32) Obsolete.
Public methodPerformSweepRefit(Curve, Curve, Curve, Double)
Sweep2 function that fits a surface through profile curves that define the surface cross-sections and two curves that defines a surface edge.
Public methodPerformSweepRefit(Curve, Curve, IEnumerableCurve, Double)
Sweep2 function that fits a surface through profile curves that define the surface cross-sections and two curves that defines a surface edge.
Public methodPerformSweepRefit(Curve, Curve, Curve, Double, Double, Double) Obsolete.
Public methodPerformSweepRefit(Curve, Curve, IEnumerableCurve, IEnumerableDouble, IEnumerableDouble, Double) Obsolete.
Public methodToString
Returns a string that represents the current object.
(Inherited from Object.)
Top
See Also